#define __GRAPH_H__
// requires "cbt.h"
// requires "commit.h"
// requires "id.h"

struct graph_s {
  cbt_t node_table;
};
typedef struct graph_s *graph_ptr;
typedef struct graph_s graph_t[1];

void graph_init(graph_t g);
void graph_clear(graph_t g);
void graph_load_commit(graph_t g, db_ptr db, ID id, cbt_t exclude);
void graph_forall(graph_t g, void (*fn)(commit_ptr c, const ID id));
